"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.set = void 0;
const runtime_dom_1 = require("@vue/runtime-dom");
function set(object, key, value) {
    const wrapper = object[key];
    if ((0, runtime_dom_1.isRef)(wrapper)) {
        wrapper.value = value;
    }
    else {
        object[key] = value;
    }
    return value;
}
exports.set = set;
