"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.all = void 0;
const eager_1 = require("../utilities/eager");
const runtime_dom_1 = require("@vue/runtime-dom");
function all(refs) {
    return (0, eager_1.eager)(function compute() {
        for (const ref of refs) {
            if (!(0, runtime_dom_1.unref)(ref)) {
                return false;
            }
        }
        return true;
    });
}
exports.all = all;
