"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.once = void 0;
const runtime_dom_1 = require("@vue/runtime-dom");
function once(ref, handler, options) {
    const stop = (0, runtime_dom_1.watch)(ref, function onNext(next, prev, onInvalidate) {
        stop();
        handler(next, prev, onInvalidate);
    }, options);
}
exports.once = once;
