import { watch } from "@vue/runtime-dom";
export function once(ref, handler, options) {
    const stop = watch(ref, function onNext(next, prev, onInvalidate) {
        stop();
        handler(next, prev, onInvalidate);
    }, options);
}
