"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.delayed = void 0;
const runtime_dom_1 = require("@vue/runtime-dom");
function delayed(amount, value, initial) {
    const handler = (0, runtime_dom_1.ref)(value === undefined ? false : initial);
    const newValue = value === undefined ? true : value;
    setTimeout(function onTimeout() {
        handler.value = newValue;
    }, amount);
    return handler;
}
exports.delayed = delayed;
