"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.when = void 0;
const runtime_dom_1 = require("@vue/runtime-dom");
function when(state, onTrue, onFalse) {
    (0, runtime_dom_1.watch)(state, function onStateChange(next) {
        if (next) {
            onTrue();
        }
        else if (onFalse) {
            onFalse();
        }
    });
}
exports.when = when;
