import { isRef } from "@vue/runtime-dom";
export function set(object, key, value) {
    const wrapper = object[key];
    if (isRef(wrapper)) {
        wrapper.value = value;
    }
    else {
        object[key] = value;
    }
    return value;
}
