import { eager } from "../utilities/eager";
import { unref } from "@vue/runtime-dom";
export function all(refs) {
    return eager(function compute() {
        for (const ref of refs) {
            if (!unref(ref)) {
                return false;
            }
        }
        return true;
    });
}
