import { watch } from "@vue/runtime-dom";
export function when(state, onTrue, onFalse) {
    watch(state, function onStateChange(next) {
        if (next) {
            onTrue();
        }
        else if (onFalse) {
            onFalse();
        }
    });
}
